MacDrawProParserInternal::Shape Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MacDrawProParserInternal::Shape Struct Reference

## Public Types
enum | Type { Basic, Bitmap, Group, GroupEnd, Note, Text, Unknown }
| the different shape More...

## Public Member Functions
| Shape ()
| constructor More...
Box2f | getBdBox () const
| return the shape bdbox More...
bool | isLine () const
| returns true if the object is a line More...

## Public Attributes
Type | m_type
| the graphic type More...
int | m_fileType
| the file type More...
Box2f | m_box
| the shape bdbox More...
MWAWGraphicStyle | m_style
| the graphic style More...
MWAWGraphicShape | m_shape
| the graphic shape ( for basic geometric form ) More...
int | m_id
| the shape id More...
int | m_nextId
| the following id (if set) More...
int | m_flags
| the main shape flag More...
int | m_textZoneId
| the text zone ( for a text box or a note) More...
int | m_numChars
| the number of caracters ( for a text box or a note) More...
std::map< int, int > | m_fontMap
| a map position to font id ( for a text box or a note) More...
std::set< int > | m_lineBreakSet
| the list of line break position ( for a text box or a note) More...
std::map< int, int > | m_paragraphMap
| the paragraphMap ( for a text box or a note) and a Pro file More...
MWAWParagraph | m_paragraph
| the paragraph ( for a text box or a note) and a II file More...
std::vector< size_t > | m_childList
| the child list ( for a group ) More...
Box2f | m_labelBox
MWAWEntry | m_labelEntry
int | m_numBytesByRow
| the number of bytes by row (for a bitmap) More...
bool | m_bitmapIsColor
| true if the bitmap is a color bitmap More...
Box2i | m_bitmapDim
| the bitmap dimension (in page) More...
Box2i | m_bitmapFileDim
| the bitmap dimension (in the file) More...
MWAWEntry | m_bitmapEntry
| the bitmap entry (data) More...
int | m_bitmapClutId
| the bitmap clut rsrc id More...
bool | m_isSent
| a flag used to know if the object is sent to the listener or not More...

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| basic operator<< More...

## Member Enumeration Documentation

enum MacDrawProParserInternal::Shape::Type

the different shape

Enumerator
Basic |
Bitmap |
Group |
GroupEnd |
Note |
Text |
Unknown |

## Constructor & Destructor Documentation

MacDrawProParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

Box2f MacDrawProParserInternal::Shape::getBdBox | ( |  | ) | const
| inline

return the shape bdbox

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox().

bool MacDrawProParserInternal::Shape::isLine | ( |  | ) | const
| inline

returns true if the object is a line

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |
| friend

basic operator<<

## Member Data Documentation

int MacDrawProParserInternal::Shape::m_bitmapClutId

the bitmap clut rsrc id

Referenced by MacDrawProParser::sendBitmap().

Box2i MacDrawProParserInternal::Shape::m_bitmapDim

the bitmap dimension (in page)

Referenced by MacDrawProParser::sendBitmap().

MWAWEntry MacDrawProParserInternal::Shape::m_bitmapEntry

the bitmap entry (data)

Referenced by MacDrawProParser::sendBitmap().

Box2i MacDrawProParserInternal::Shape::m_bitmapFileDim

the bitmap dimension (in the file)

Referenced by MacDrawProParser::sendBitmap().

bool MacDrawProParserInternal::Shape::m_bitmapIsColor

true if the bitmap is a color bitmap

Referenced by MacDrawProParser::sendBitmap().

Box2f MacDrawProParserInternal::Shape::m_box

the shape bdbox

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox(), getBdBox(), MacDrawProParserInternal::operator<<(), MacDrawProParser::readObject(), MacDrawProParser::readRotationInObjectData(), MacDrawProParser::send(), and MacDrawProParser::updateGeometryShape().

std::vector<size_t> MacDrawProParserInternal::Shape::m_childList

the child list ( for a group )

Referenced by MacDrawProParser::send().

int MacDrawProParserInternal::Shape::m_fileType

the file type

Referenced by MacDrawProParser::readObject(), and MacDrawProParser::updateGeometryShape().

int MacDrawProParserInternal::Shape::m_flags

the main shape flag

Referenced by MacDrawProParserInternal::operator<<(), MacDrawProParser::readObject(), and MacDrawProParser::readRotationInObjectData().

std::map<int,int> MacDrawProParserInternal::Shape::m_fontMap

a map position to font id ( for a text box or a note)

int MacDrawProParserInternal::Shape::m_id

the shape id

Referenced by MacDrawProParserInternal::operator<<(), MacDrawProParser::readObject(), and MacDrawProParser::send().

bool MacDrawProParserInternal::Shape::m_isSent
| mutable

a flag used to know if the object is sent to the listener or not

Referenced by MacDrawProParser::flushExtra(), MacDrawProParser::send(), and MacDrawProParser::sendText().

Box2f MacDrawProParserInternal::Shape::m_labelBox

Referenced by MacDrawProParser::send().

MWAWEntry MacDrawProParserInternal::Shape::m_labelEntry

Referenced by MacDrawProParser::send().

std::set<int> MacDrawProParserInternal::Shape::m_lineBreakSet

the list of line break position ( for a text box or a note)

int MacDrawProParserInternal::Shape::m_nextId

the following id (if set)

Referenced by MacDrawProParser::readObject(), and MacDrawProParser::send().

int MacDrawProParserInternal::Shape::m_numBytesByRow

the number of bytes by row (for a bitmap)

Referenced by MacDrawProParser::sendBitmap().

int MacDrawProParserInternal::Shape::m_numChars

the number of caracters ( for a text box or a note)

Referenced by MacDrawProParser::sendText().

MWAWParagraph MacDrawProParserInternal::Shape::m_paragraph

the paragraph ( for a text box or a note) and a II file

std::map<int,int> MacDrawProParserInternal::Shape::m_paragraphMap

the paragraphMap ( for a text box or a note) and a Pro file

MWAWGraphicShape MacDrawProParserInternal::Shape::m_shape

the graphic shape ( for basic geometric form )

Referenced by getBdBox(), isLine(), MacDrawProParserInternal::operator<<(), MacDrawProParser::readObject(), MacDrawProParser::readRotationInObjectData(), MacDrawProParser::send(), and MacDrawProParser::updateGeometryShape().

MWAWGraphicStyle MacDrawProParserInternal::Shape::m_style

the graphic style

Referenced by getBdBox(), MacDrawProParser::readObject(), MacDrawProParser::readRotationInObjectData(), MacDrawProParser::send(), MacDrawProParser::sendBitmap(), and MacDrawProParser::updateGeometryShape().

int MacDrawProParserInternal::Shape::m_textZoneId

the text zone ( for a text box or a note)

Referenced by MacDrawProParser::readTextII(), MacDrawProParser::readTextPro(), and MacDrawProParser::sendText().

Type MacDrawProParserInternal::Shape::m_type

the graphic type

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox(), MacDrawProParser::flushExtra(), getBdBox(), isLine(), MacDrawProParserInternal::operator<<(), MacDrawProParser::readBitmap(), MacDrawProParser::readGeometryShapeData(), MacDrawProParser::readObject(), MacDrawProParser::readObjectData(), MacDrawProParser::readRotationInObjectData(), MacDrawProParser::readTextII(), MacDrawProParser::readTextPro(), MacDrawProParser::send(), MacDrawProParser::sendBitmap(), and MacDrawProParser::updateGeometryShape().

The documentation for this struct was generated from the following file:

- MacDrawProParser.cxx